#import "@local/handout:0.1.0": *

#show: doc => handout(
  doc,
  quarter: link(
    "https://betalupi.com/handouts",
    "betalupi.com/handouts",
  ),

  title: [Warm-Up: Passing Balls],
  by: "Mark",
)

#problem()
Twelve people are standing in a circle. Each is assigned a number between 1 and 12. \
Participants numbered 1, 2, 3, and 4 hold red, green, yellow, and black balls, respectively. \
Everyone else is empty-handed.

#v(2mm)

Each participant can pass their ball to any student that is exactly 5 positions away. \
Balls cannot be passed to someone who has one in hand.

#v(2mm)

After a number of passes, the first four participants again hold all the balls. \
Participant 1 has a black ball. Which balls are held by participants 2, 3, and 4?

#solution([
  The graph of possible moves is isomorphic to a circle (since 5 and 12 are coprime), \
  but the balls get passed around, so swapping the place of any two balls is not allowed.

  #v(3mm)

  Therefore, the balls will stay in their initial (cyclic) order:
  // TODO: do this in CeTZ
  #figure(image("pass-sol.png", width: 90%))
])
